The signature for Transition onCreate Hooks.

Transition onCreate Hooks are callbacks that allow customization or preprocessing of a Transition before it is returned from TransitionService.create

### Hierarchy

- TransitionCreateHookFn

### Callable

- __call(transition: Transition): void

- The signature for Transition onCreate Hooks.

- The signature for Transition onCreate Hooks.

  Transition onCreate Hooks are callbacks that allow customization or preprocessing of a Transition before it is returned from TransitionService.create

  #### Parameters

  - ##### transition Transition

    :

    the Transition that was just created

  #### Returns void

  :

  a Transition which will then be returned from TransitionService.create

  - Defined in transition/interface.ts:236

Generated using TypeDoc